Bug 839595 - Implement a server side quorum in glusterd
Implement a server side quorum in glusterd
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
pre-release
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Pranith Kumar K
SATHEESARAN
:
Depends On:
Blocks: 840122 840818 858428 874018 895528
  Show dependency treegraph
 
Reported: 2012-07-12 08:02 EDT by Pranith Kumar K
Modified: 2014-02-28 16:57 EST (History)
6 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 840122 (view as bug list)
Environment:
Last Closed: 2013-07-24 13:22:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pranith Kumar K 2012-07-12 08:02:40 EDT
Description of problem:
When the Glusterd is connected to less than half of the number of members in cluster, glusterd will kill the local bricks of the volumes on which the server side quorum is enabled. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jeff Darcy 2012-10-31 17:12:44 EDT
Normally a new feature would have low severity, but the lack of this affects so many users that I'm bumping it up by two.
Comment 2 Vijay Bellur 2012-11-24 02:13:51 EST
CHANGE: http://review.gluster.org/4162 (libglusterfs: Implement float percentage) merged in master by Vijay Bellur (vbellur@redhat.com)
Comment 3 Vijay Bellur 2012-11-24 02:15:02 EST
CHANGE: http://review.gluster.org/3811 (mgmt/glusterd: Implementation of server-side quorum) merged in master by Vijay Bellur (vbellur@redhat.com)
Comment 4 Vijay Bellur 2012-11-24 02:27:50 EST
CHANGE: http://review.gluster.org/4228 (tests: Add volume utils in a new file) merged in master by Vijay Bellur (vbellur@redhat.com)
Comment 5 Vijay Bellur 2012-11-24 02:28:07 EST
CHANGE: http://review.gluster.org/4229 (tests: Add volume set tests for quorum) merged in master by Vijay Bellur (vbellur@redhat.com)
Comment 6 Vijay Bellur 2012-12-11 20:17:32 EST
CHANGE: http://review.gluster.org/4291 (glusterd: Set op-version for quorum options) merged in master by Anand Avati (avati@redhat.com)
Comment 7 Aharon Canan 2013-12-23 10:45:27 EST
hi

did someone verify that it really helps with the split-brains?

thanks.
Comment 8 SATHEESARAN 2013-12-24 07:48:18 EST
Ah(In reply to Aharon Canan from comment #7)
> hi
> 
> did someone verify that it really helps with the split-brains?
> 
> thanks.

Yes, it does so.
I tested that with Red Hat Storage.
You can read more about this feature here : http://www.gluster.org/community/documentation/index.php/Features/Server-quorum

Note You need to log in before you can comment on or make changes to this bug.